Emitted when one or more key-value pairs of a particular DomainUser's presence state were removed.

### Hierarchy

- PresenceStateRemovedEvent

### Implements

- IPresenceEvent

## Index

### Constructors

- constructor

### Properties

- keys
- name
- user
- NAME

## Constructors

### constructor

- new PresenceStateRemovedEvent(user: DomainUser, keys: string[]): PresenceStateRemovedEvent

- #### Parameters

  - ##### user: DomainUser

  - ##### keys: string[]

  #### Returns PresenceStateRemovedEvent

## Properties

### keys

keys: string[]

The keys of the state items that were just removed.

### name

name: string = PresenceStateRemovedEvent.NAME

Implementation of IPresenceEvent.name

The name of the event that was fired. This is commonly used to filter when using the ConvergenceEventEmitter.events stream.

Note that the name is only guaranteed to be unique within the class / subsystem that is firing it. Names might be reused across classes and subsystems.

### user

user: DomainUser

Implementation of IPresenceEvent.user

The user associated with the presence event.

### StaticNAME

NAME: "state_removed" = "state_removed"